using System;
using System.Collections.Generic;
using System.Text;

namespace Shapes
{
    internal class Square : PositionedShape
    {
        private int size;

        public Square(int pX, int pY, int size) : base(pX, pY)
        {
            this.size = size;
        }

        public override string GetName()
        {
            return $"Square, posX: {posX}, posY: {posY}, Area: {GetArea()}";
        }

        public override double GetArea()
        {
            return size * size;
        }
    }
}
